[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.ComObject

Interface reference implemented by the component

## Declaration

Source position: classesh.inc line 1979

`public property TComponent.ComObject : IUnknown read GetComObject;`

## Description

ComObject returns the COM interface represented by the component. If the component does not represent a COM interface, reading this property will raise an EComponentError.

## See also

EComponentError |  | Exception raised when an error occurs in the component registration routines.